/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model147
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model147 {
  @SerializedName("travel_date")
  private TravelDate travelDate = null;

  @SerializedName("trip")
  private Trip trip = null;

  @SerializedName("travelers")
  private Model146 travelers = null;

  public Model147 travelDate(TravelDate travelDate) {
    this.travelDate = travelDate;
    return this;
  }

   /**
   * Get travelDate
   * @return travelDate
  **/
  @ApiModelProperty(value = "")
  public TravelDate getTravelDate() {
    return travelDate;
  }

  public void setTravelDate(TravelDate travelDate) {
    this.travelDate = travelDate;
  }

  public Model147 trip(Trip trip) {
    this.trip = trip;
    return this;
  }

   /**
   * Get trip
   * @return trip
  **/
  @ApiModelProperty(value = "")
  public Trip getTrip() {
    return trip;
  }

  public void setTrip(Trip trip) {
    this.trip = trip;
  }

  public Model147 travelers(Model146 travelers) {
    this.travelers = travelers;
    return this;
  }

   /**
   * Get travelers
   * @return travelers
  **/
  @ApiModelProperty(value = "")
  public Model146 getTravelers() {
    return travelers;
  }

  public void setTravelers(Model146 travelers) {
    this.travelers = travelers;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model147 model147 = (Model147) o;
    return Objects.equals(this.travelDate, model147.travelDate) &&
        Objects.equals(this.trip, model147.trip) &&
        Objects.equals(this.travelers, model147.travelers);
  }

  @Override
  public int hashCode() {
    return Objects.hash(travelDate, trip, travelers);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model147 {\n");
    
    sb.append("    travelDate: ").append(toIndentedString(travelDate)).append("\n");
    sb.append("    trip: ").append(toIndentedString(trip)).append("\n");
    sb.append("    travelers: ").append(toIndentedString(travelers)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

